pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Situation of KDE4

On Tuesday 08 July 2008 11:25:17 Cem Kayali wrote:
> Well, at least someone could tell me he/she is currently using KDE4
> without problem?
> Thanks.
> Cem
> Cem Kayali wrote:
> > Hello!
> >
> > Is there any good news for KDE4 compatibility? I see in wip packages,
> > but wonder whether it is almost/fully compatible and/or will be moved
> > to pkgsrc soon.
> >
> >
> > Regards,
> > Cem

In my opinion kde4 is not ready yet. Last time I tried to build it I 
encountered the following problems.

1. kde4 from pkgsrc-wip needs to be built with X11_TYPE=modular in mk.conf. 
Hence all X11 packages need to be rebuilt and relinked against modular X11 
libs. Because kde4 depends on a package which only works with modular X11.

2. I had problems with qt4-libs and kde4 libs on both sparc64 and i386 
machines. There were build problems.

Home | Main Index | Thread Index | Old Index